<!-- Based on fast/repaint/multicol-with-overflowing-block-bt.html -->
<!DOCTYPE html>
<script src="resources/paint-invalidation-test.js"></script>
<script>
    onload = runPaintInvalidationTest;
    window.expectedPaintInvalidationObjects = [
        "LayoutBlockFlow DIV id='elm'",
    ];
    function paintInvalidationTest() {
        document.getElementById('elm').style.background = 'green';
    }
</script>
<div id="container" style="-webkit-columns:3; -webkit-column-gap:0; column-fill:auto; width:500px; height:500px; -webkit-writing-mode:horizontal-bt;">
    <div style="height:100px;">
        <div id="elm" style="height:1500px; background:yellow;"></div>
    </div>
</div>
<p>Test changing the background color of a big block that overflows the flow thread.</p>
<p>A green square should be seen above.</p>
